---
metadata:
  - name: generator
    content: Diplodoc Platform v5.52.0
  - property: og:type
    content: article
  - property: article:section
    content: Справочник API
  - property: og:title
    content: Создать отчет по задачам
  - property: article:tag
    content: Техническая инструкция
alternate:
  - https://yandex.ru/support/tracker/en/api-ref/issues/create-report.md
  - https://yandex.ru/support/tracker/ru/api-ref/issues/create-report.md
  - href: en/api-ref/issues/create-report.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/support/tracker/en/llms.txt


# Generate an issue report

This request lets you generate a report containing issues that match the specified search criteria.

<div class="request_example method_post yfm-clipboard">
    <p>POST</p>
    <pre><code>https://api.tracker.yandex.net/v3/entities/report/</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/api-ref/_assets/style/methods.md -->

<!-- endsource: en/api-ref/_assets/style/methods.md -->

## Request format {#query}

Before making the request, [get access to the API](https://yandex.ru/support/tracker/en/api-ref/access.md).

To generate a report, make an HTTP request using the `POST` method. The request body contains report parameters and criteria for searching issues.

```json translate=no
POST /v3/entities/report/
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
  "fields": {
    "summary": "Issue export",
    "parameters": {
      "type": "issueFilterExport",
      "format": "xlsx",
      "filter": {
        "query": "Queue: SUPPORT \"Sort by\": Updated DESC",
        "sorts": [
          {
            "orderBy": "updated",
            "orderAsc": false
          }
        ]
      },
      "fields": [
        "priority",
        "type",
        "key",
        "summary",
        "assignee",
        "status",
        "updated"
      ]
    }
  }
}
```

<!-- source: en/api-ref/_includes/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/api-ref/_includes/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/api-ref/_includes/authorization.md -->


* <!-- source: en/api-ref/_includes/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Identity Hub.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/api-ref/_includes/org-id.md -->


{% endcut %}
<!-- endsource: en/api-ref/_includes/headings.md -->

{% cut "Request body parameters" %}

**Required parameters**

Parameter | Description | Format
----- | ----- | -----
fields | Object containing report parameters. | Object

**Fields of the** `fields` **object** {#fields}

Parameter | Description | Format
----- | ----- | -----
summary | Report name. | String
parameters | Object containing export settings. | Object

**Fields of the** `parameters` **object** {#parameters}

Parameter | Description | Format
----- | ----- | -----
type | Export type. Value: `issueFilterExport`. | String
format | Export format. Values: `xlsx`, `xml`, `csv`. | String
[filter](#filter) | Object containing issue filter parameters. | Object
fields | List of issue fields to include in the report. For example: `priority`, `type`, `key`, `summary`, `assignee`, `status`, `updated`. | Array of strings

**Fields of the** `filter` **object** {#filter}

Parameter | Description | Format
----- | ----- | -----
query | Filter in the [query language](https://yandex.com/support/tracker/user/query-filter.html). | String
filter | Issue filter parameters. You can specify any field name and a value to filter by in this parameter. [Full list of issue fields](https://tracker.yandex.com/admin/fields) | Object
filterId | ID of a [saved filter](*filter). | Number
[sorts](#sorts) | Array of objects containing sorting parameters. | Array of objects

{% note warning "" %}

You can use one of the following parameters:
- `query`: A filter in the query language.
- `filter`: An object containing filter parameters.
- `filterId`: The ID of a saved filter.

Using multiple parameters at the same time is not supported.

{% endnote %}

**Fields of the** `sorts` **object** {#sorts}

Parameter | Description | Format
----- | ----- | -----
orderBy | Field to sort by. | String
orderAsc | Sorting order: `true` for ascending, `false` for descending. | Boolean

{% endcut %}

> Example 1: Generating a report using the query language
>
> - Issue report in XLSX format.
> - The report contains issues from the **SUPPORT** queue.
> - Results are sorted by the update date in descending order.
> - The report includes the following fields: priority, type, key, summary, assignee, status, update date.
>
> ```json
> POST /v3/entities/report/ HTTP/1.1
> Host: api.tracker.yandex.net
> Authorization: OAuth y0__xAbc******
> Content-Type: application/json
> X-Org-ID: 1234******
>
> {
>   "fields": {
>     "summary": "SUPPORT queue issue export",
>     "parameters": {
>       "type": "issueFilterExport",
>       "format": "xlsx",
>       "filter": {
>         "query": "Queue: SUPPORT \"Sort by\": Updated DESC",
>         "sorts": [
>           {
>             "orderBy": "updated",
>             "orderAsc": false
>           }
>         ]
>       },
>       "fields": [
>         "priority",
>         "type",
>         "key",
>         "summary",
>         "assignee",
>         "status",
>         "updated"
>       ]
>     }
>   }
> }
> ```

> Example 2: Generating a report using a filter object
>
> - Issue report in XLSX format.
> - The report is generated using the following parameters: issues from the **TREK** queue that have no assignee.
> - The report includes key issue fields.
>
> ```json
> POST /v3/entities/report/ HTTP/1.1
> Host: api.tracker.yandex.net
> Authorization: OAuth y0__xAbc******
> Content-Type: application/json
> X-Cloud-Org-ID: ab1c******
>
> {
>   "fields": {
>     "summary": "Issues with no assignee",
>     "parameters": {
>       "type": "issueFilterExport",
>       "format": "xlsx",
>       "filter": {
>         "filter": {
>           "queue": "TREK",
>           "assignee": "empty()"
>         }
>       },
>       "fields": [
>         "key",
>         "summary",
>         "status",
>         "priority",
>         "created"
>       ]
>     }
>   }
> }
> ```

> Example 3: Generating a report using a saved filter
>
> - Issue report in XLSX format.
> - The report is created based on a saved filter with ID `12345`.
> - The report includes key issue fields.
>
> ```json
> POST /v3/entities/report/ HTTP/1.1
> Host: api.tracker.yandex.net
> Authorization: OAuth y0__xAbc******
> Content-Type: application/json
> X-Org-ID: 1234******
>
> {
>   "fields": {
>     "summary": "Report based on a saved filter",
>     "parameters": {
>       "type": "issueFilterExport",
>       "format": "xlsx",
>       "filter": {
>         "filterId": 12345
>       }
>       "fields": [
>         "key",
>         "summary",
>         "status",
>         "assignee",
>         "priority",
>         "updated"
>       ]
>     }
>   }
> }
> ```

## Response format {#answer}

{% list tabs %}

- Request succeeded

    <!-- source: en/api-ref/_includes/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/api-ref/_includes/answer-200.md -->

    The response body contains information about the generated report in JSON format.

    ```json
    {
        "self": "https://api.tracker.yandex.net/v3/entities/report/68f68b553cdc3969e0445570",
        "id": "68f68b553cdc3969e0445570",
        "version": 1,
        "shortId": 142,
        "entityType": "report",
        "createdBy": {
            "self": "https://api.tracker.yandex.net/v3/users/8000000000000004",
            "id": "8000000000000004",
            "display": "User Name",
            "cloudUid": "aje71i6t2tuvanuoimem",
            "passportUid": 1234567890
        },
        "createdAt": "2025-10-20T19:19:49.120+0000",
        "updatedAt": "2025-10-20T19:19:49.120+0000"
    }
    ```

    {% cut "Response parameters" %}

    Parameter | Description | Data type
    ----- | ----- | -----
    self | Address of the API resource that contains information about the report. | String
    id | Report ID. </br>To open the report in the Tracker interface, substitute the ID into the address and open it in your browser: <br/>`https://tracker.yandex.com/pages/reports/<report_id>` | String
    version | Report version. | Number
    shortId | Short report ID. | Number
    entityType | Entity type. Value: `report`. | String
    [createdBy](#created-by) | Object containing information about the report creator. | Object
    createdAt | Date and time the report was created in the format `YYYY-MM-DDThh:mm:ss.sss±hhmm`. | String
    updatedAt | Date and time the report was last updated in the format `YYYY-MM-DDThh:mm:ss.sss±hhmm`. | String

    **Fields of the** `createdBy` **object** {#created-by}

    <!-- source: en/api-ref/_includes/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Identity Hub | String |
    <!-- endsource: en/api-ref/_includes/user.md -->

    {% endcut %}


- Request failed

    If the request could not be processed successfully, the API returns a response with an error code:

    <!-- source: en/api-ref/_includes/answer-error-400.md -->
    400
    :   One or more request parameters have an invalid value.
    <!-- endsource: en/api-ref/_includes/answer-error-400.md -->

    <!-- source: en/api-ref/_includes/answer-error-401.md -->
    401
    :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.ru/support/tracker/en/api-ref/access.md) section are performed.
    <!-- endsource: en/api-ref/_includes/answer-error-401.md -->

    <!-- source: en/api-ref/_includes/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/api-ref/_includes/answer-error-403.md -->

    <!-- source: en/api-ref/_includes/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/api-ref/_includes/answer-error-404.md -->

{% endlist %}

[*filter]: A filter is a tool for searching for issues by conditions. For example, you can find issues in a specific queue where you are the author or assignee.